#include "stdio.h"
#include "bcm2835.h"

#define PwmPin 18

void Init()
{
	bcm2835_init();
	bcm2835_gpio_fsel(PwmPin, BCM2835_GPIO_FSEL_OUTP);
	bcm2835_gpio_fsel(PwmPin, BCM2835_GPIO_FSEL_ALT5);
	bcm2835_pwm_set_clock(BCM2835_PWM_CLOCK_DIVIDER_512);
	bcm2835_pwm_set_mode(0, 1, 1);
	bcm2835_pwm_set_range(0, 100);
	bcm2835_pwm_set_data(0, 50);
}

int main()
{
	Init();
	int dc = 0;
	while(1)
	{
		printf("input dc: \r\n");
		scanf("%d", &dc);
		if(dc<0 || dc>100)
		{
			printf("out of range! \r\n");
			return -1;
		}
		bcm2835_pwm_set_data(0, dc);
	}

	return 0;
}

