#!/usr/bin/python
# -*- coding:utf-8 -*-
import serial
import os
import sys
import logging

logging.basicConfig(level=logging.INFO)
libdir = os.path.join(os.path.dirname(os.path.dirname(os.path.realpath(__file__))), 'lib')
if os.path.exists(libdir):
    sys.path.append(libdir)

import RPi.GPIO as GPIO
import time
from RS485_LIB import config

TXDEN_0 = 10
TXDEN_1 = 27
TXDEN_2 = 21
TXDEN_3 = 7

ser = config.config(dev = "/dev/ttyAMA0")
TXDEN = TXDEN_0
data = ''
GPIO.output(TXDEN_0, GPIO.LOW) 
ser.Uart_SendString('CM4-ETH-RS485-BASE-B\r\n')
time.sleep(0.005)#Waiting to send
GPIO.output(TXDEN_0, GPIO.HIGH)

try:
    while(1):
        data_t = ser.Uart_ReceiveByte()
        data += str(data_t)
        if(data_t == '\n'):
            GPIO.output(TXDEN, GPIO.LOW)
            print(data)
            ser.Uart_SendString(data)
            time.sleep(0.005)#Waiting to send
            data = ''
            GPIO.output(TXDEN, GPIO.HIGH)
            
except KeyboardInterrupt:    
    logging.info("ctrl + c:")
    exit()