#!/usr/bin/python
# -*- coding:utf-8 -*-
import serial
import RPi.GPIO as GPIO
import time

import os
import sys
import logging

logging.basicConfig(level=logging.INFO)
libdir = os.path.join(os.path.dirname(os.path.dirname(os.path.realpath(__file__))), 'lib')
if os.path.exists(libdir):
    sys.path.append(libdir)

from RS485_LIB import config

ser0 = config.config(dev = "/dev/ttyAMA0")
ser1 = config.config(dev = "/dev/ttyAMA1")
ser2 = config.config(dev = "/dev/ttyAMA2")
ser3 = config.config(dev = "/dev/ttyAMA3")

TXDEN_0 = 10
TXDEN_1 = 27
TXDEN_2 = 21
TXDEN_3 = 7

data = 'CM4-ETH-RS485-BASE-B\r\n'
# data = data.decode("bytes")

try:
    while(1):
        GPIO.output(TXDEN_0, GPIO.LOW) 
        ser0.Uart_SendString(data)
        time.sleep(0.005)#Waiting to send
        GPIO.output(TXDEN_0, GPIO.HIGH)
        data_t = ser1.Uart_ReceiveString(22)
        if(data_t == data):
            print ('Channel 0 send channel 1 received successfully')
            print (data_t)
            data_t = ''
        
        GPIO.output(TXDEN_1, GPIO.LOW) 
        ser1.Uart_SendString(data)
        time.sleep(0.005)#Waiting to send
        GPIO.output(TXDEN_1, GPIO.HIGH)
        data_t = ser0.Uart_ReceiveString(22)
        if(data_t == data):
            print ('Channel 1 send channel 0 received successfully')
            print (data_t)
            data_t = ''
        print('\r\n')
        time.sleep(0.1)

except KeyboardInterrupt:    
    logging.info("ctrl + c:")
    exit()
